Passer au contenu principal
GET
/
2
/
notes
/
search
/
notes_written
Rechercher des Community Notes rédigées
curl --request GET \
  --url https://api.x.com/2/notes/search/notes_written \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "post_id": "1346889436626259968",
      "info": {
        "misleading_tags": [],
        "text": "<string>",
        "trustworthy_sources": true
      },
      "test_result": {
        "evaluator_score_bucket": "<string>",
        "evaluator_type": "<string>"
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>",
    "result_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

test_mode
boolean
requis

Si true, renvoie les notes que l’appelant a rédigées à des fins de test. Si false, renvoie les notes que l’appelant a rédigées en production.

pagination_token
string

Jeton de pagination permettant d’obtenir l’ensemble suivant de Publications éligibles aux notes.

max_results
integer<int32>
défaut:10

Nombre maximal de résultats à renvoyer.

Plage requise: 1 <= x <= 100
note.fields
enum<string>[]

Une liste de champs Note, séparés par des virgules, à renvoyer. Les champs disponibles pour l’objet Note.

Minimum array length: 1
Options disponibles:
id,
info,
status,
test_result
Exemple:
["id", "info", "status", "test_result"]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

meta
object